.TH XSNAP 1
.PD
.ad b
.SH NAME
xsnap \- Take a snapshot of a region of the screen
.SH SYNOPSIS
\fBxsnap\fR
[\|\fB-display\fR displayname\|] 
[\|\fB-bg\fR bgcolor\|] 
[\|\fB-fg\fR fgcolor\|] 
[\|\fB-bd\fR bordercolor\|] 
[\|\fB-bw\fR borderwidth\|] 
[\|\fB-geometry\fR geometry\|] 
[\|\fB-icongeometry\fR icongeometry\|] 
[\|\fB-region\fR geometry\|] 
[\|\fB-iconic\fR\|] 
[\|\fB-name\fR title\|] 
[\|\fB-nograb\fR\|] 
[\|\fB-jpg\fR\|] 
[\|\fB-png\fR\|] 
[\|\fB-pnm\fR\|] 
[\|\fB-ppm\fR\|] 
[\|\fB-xpm\fR\|] 
[\|\fB-xwd\fR\|] 
[\|\fB-dump\fR\|] 
[\|\fB-file\fR name\|]
[\|\fB-stdout\fR\|] 
[\|\fB-show\fR\|] 
[\|\fB-hide\fR\|] 
.SH DESCRIPTION
.PP
The \fIxsnap\fP program allows one to take a snapshot of a specified
region of the screen.  If \fIxsnap\fP is run without a region being
specified, the user is prompted to interactively drag one out with the
mouse.  In this case, pressing button 1 will select one corner of the
region, and an opposite corner will be selected upon the release of
button 1. Pressing button 2 selectsthe whole window, while pressing
button 3 cancels the selection. A special case is when a region of
zero with and height is selected with button 1. In that case, the
selection is the last subwindow (in the hierarchy of subwindows) which
contains the selected point. Once the region is selected, a window
whose contents are a copy of this region is created, and various
actions can be taken through key bindings (upper or lower case is
irrelevant).

Pressing "q" or "Esc" in the xsnap window will exit the program, and
pressing '!' restarts a new instance. The captured region may also be 
stored to a file for later use, by pressing 'j', 'g', 'n', 'p', 'x' or 'w',
while key 'z' enables/disables compression.

Here 'j' stands for *.jpg format, 'g' for *.png format, 'n' for
*.pnm.gz (ascii PPM), 'p' for *.ppm.gz (raw PPM), 'x' for XPixmap
format (*.xpm.gz) and 'w' for XWindow Dump format (*.xwd.gz). Except
for PNG which is already compressed, all other formats are
automatically gzip compressed since this saves a lot of disk
space. However, compression is not performed if the image data are
dumped to stdout (-stdout option).

All other keys raise the dialog window if it is not yet open, and have no
effect otherwise.

This program is a strongly enhanced variant of the original \fIxsnap\fP 
program by Clauss Strauch.
.SH OPTIONS
.TP 8
.B \-display \fIdisplay\fP
Specifies the display to use for both specifying and displaying the region.
.TP 8
.B \-bg \fIbgcolor\fP
Background color of dialog window.  Defaults to #EEEEE6 (light grey).
.TP 8
.B \-bd \fIfgcolor\fP
Foreground color of dialog window.  Defaults to black.
.TP 8
.B \-bd \fIbordercolor\fP
Border color of snapshot window.  Defaults to white.
.TP 8
.B \-bw \fIborder width\fP
Border width of snapshot window.  Defaults to 2.
.TP 8
.B \-geometry \fIgeom\fP
Geometry of snapshot window.  
.TP 8
.B \-icongeometry \fIgeom\fP
Geometry of icon.
.TP 8
.B \-iconic
If specified, snapshot window will start up in iconic state.
.TP 8
.B \-name \fItitle\fP
Name of the window to be passed to window manager.
.TP 8
.B \-nograb
Do not grab the server during specification of region.
.TP 8
.B \-jpg
Store the image in JPG format.
.TP 8
.B \-png
Store the image in PNG format.
.TP 8
.B \-pnm
Store the image in PNM format (=ascii PPM), as a compressed
*.pnm.gz file (compression is not performed when outputting to stdout).
.TP 8
.B \-ppm
Store the image in PPM format (raw data), as a compressed
*.ppm.gz file (compression is not performed when outputting to stdout).
.TP 8
.B \-xpm
Store the pixmap in X PixMap Format, as a compressed
*.xpm.gz file (compression is not performed when outputting to stdout).
.TP 8
.B \-xwd
Store the pixmap in X window dump format, as a compressed
*.xwd.gz file (compression is not performed when outputting to stdout).
.TP 8
.B \-dump
Dump to a file (default file is $HOME/snapXXXX.<format> if no root name 
has been specified). XXXX is a number in the range 0000..9999 selected
in such a way that the resulting file does not exist yet.
.TP 8
.B \-file \fIname\fP
Store the output in the file \fIname\fP.<format>, where <format> is the
appropriate suffix derived from the selected format. Only the root name 
of the file should thus be given. The file gets overwritten if it already 
exists, so take care...
.TP 8
.B \-stdout
Write the image data to stdout (in the specified format, uncompressed).
.TP 8
.B \-show
Display the image in a window (this is the default).
.TP 8
.B \-hide
Do not display the image in a window. This results in getting the data to 
be dumped to file, i.e. -dump is turned on automatically.
.TP 8
.B \-region \fIgeom\fP
The size and  location on the screen of the region to be copied.
.SH BUGS
.br
In PseudoColor mode, colormaps are supported only in case an entire 
window is captured by clicking with the first or second buttons.
Incorrect behavior may result on displays that support windows of 
different depths, or when the window carries elements which have 
different colormaps.
.br
Since it creates a pixmap for each snapshot, it can chew up server 
memory very fast. In this perspective, it can be useful to use to
option '-convert gzip' to compress the files on the fly.
.br
The icongeometry option  doesn't know about icon sizes.
.SH AUTHORS
Original version: Clauss Strauch
.br
                  Engineering Design Research Center
.br
                  Carnegie Mellon University
.sp 1
2nd version (xwd, atk, region options added):
.br   
                  Bill Janssen 
.br
                  Xerox Palo Alto Research Center
.sp 1
3rd version (region option fixed, XPM option added):
.br    
                  Arnaud Le Hors
.br
                  Bull Research France
.sp 1
millenium version (colormap support, new image formats PNG, PNM, PPM, 
conversion of image formats on the fly, save procedure, GUI dialog; 
obsolete atk format removed):
.br    
                  Jean-Pierre Demailly
.br
                  Universit de Grenoble I

